"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createId = exports.parseCursor = exports.createCursor = void 0;
const ulid_1 = require("ulid");
const http_errors_1 = require("http-errors");
const createCursor = (lastEvaluatedKey) => (Buffer.from(JSON.stringify(lastEvaluatedKey)).toString('base64'));
exports.createCursor = createCursor;
const parseCursor = (cursor) => {
    let result;
    try {
        result = JSON.parse(Buffer.from(cursor, 'base64').toString('utf8'));
    }
    catch (err) {
        throw new http_errors_1.BadRequest('Bad Request: cursor is not valid');
    }
    return result;
};
exports.parseCursor = parseCursor;
const createId = async ({ prefix = '' } = {}) => (`${prefix}${(0, ulid_1.ulid)()}`);
exports.createId = createId;
//# sourceMappingURL=utils.js.map